### Method

# Adw LeafletPageset_name

deprecated: 1.4

#### Declaration [src]

    void
    adw_leaflet_page_set_name (
      AdwLeafletPage* self,
      const char* name
    )

#### Description [src]

Sets the name of the `self`.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.LeafletPage:name`

#### Parameters

`name`

  Type: `const char*`

  The new value to set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.